#include <stdint.h>
#include <string.h>
#include "vmas.h"
#include "debug.h"

void VMAddrSpace::insCode(uint8_t * buf, uint8_t size) {
    DBG_INFO(("Copying buffer into code section.\n"));
    memcpy(&this->code, buf, size);
    return;
}

void VMAddrSpace::insStack(uint8_t * buf, uint8_t size) {
    DBG_INFO(("Copying buffer into code section.\n"));
    memcpy(&this->stack, buf, size);
    return;
}

void VMAddrSpace::insData(uint8_t * buf, uint8_t size) {
    DBG_INFO(("Copying buffer into data section.\n"));
    memcpy(&this->data, buf, size);
    return;
}